Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-string-dot-prototype-dot-trim
Version:        1.1.2
Release:        alt1_6
Summary:        ES5 spec-compliant shim for String.prototype.trim

License:        MIT
URL:            https://github.com/es-shims/String.prototype.trim
Source0:        https://registry.npmjs.org/string.prototype.trim/-/string.prototype.trim-%{version}.tgz
# Update for changes in Unicode character classification
Patch1:         nodejs-string-dot-prototype-dot-trim-unicode630.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tape)
BuildRequires:  npm(define-properties)
BuildRequires:  npm(es-abstract)
BuildRequires:  npm(function-bind)
Source44: import.info


%description
An ES5 spec-compliant String.prototype.trim shim. Invoke its "shim"
method to shim String.prototype.trim if it is unavailable.


%prep
%setup -q -n package
%patch1 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string.prototype.trim
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/string.prototype.trim
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs test/shimmed.js
%__nodejs test/index.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/string.prototype.trim


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_6
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt0.1.njs.bootstrap
- bootstrap

